
{

  "anchor_to_edges": true,
  "exclusive_zone": true,
  "position": "left",
  "height": 30,
  "start": [
    {
      "type": "custom",
      "bar": [
        {
          "type": "button",
          "name": "my-btn",
          "class": "my-btn-class",
          "on_click": "!walker",
          "widgets": [
            {
              "type": "label",
              "label": " ",
              "size": 16
            }
          ]
        }
      ]
    },    
    {
      "type": "custom",
      "bar": [
        {
          "type": "button",
          "name": "hyprwave",
          "class": "hyprwave-class",

          "on_scroll_up": "swayosd-client --output-volume 5 --max-volume 200",
          "on_scroll_down": "swayosd-client --output-volume -5 --max-volume 200",
          "on_click": "!hyprwave-toggle visibility && sleep 0.009s && hyprwave-toggle expand",
          "widgets": [
            {
              "type": "label",
              "label": " ",
              "size": 16
            }
          ]
        }
      ]
    },    
{
      "type": "custom",
      "bar": [
        {
          "type": "button",
          "name": "volume-custom",
          "class": "volume-custom-class",
          "on_click": "!~/.config/ironbar/scripts/volume.sh",
          "on_scroll_up": "swayosd-client --output-volume 5 --max-volume 200",
          "on_scroll_down": "swayosd-client --output-volume -5 --max-volume 200",
          "widgets": [
            {
              "type": "label",
              "label": " ",
              "size": 16
            }
          ]
        }
      ]
    },
          

     {
      "type": "notifications",
      "show_count": true,
      "icons": {
        "closed_none": "󰍥 ",
        "closed_some": "󱥂 ",
        "closed_dnd": "󱅯 ",
        "open_none": "󰍡 ",
        "open_some": "󱥁 ",
        "open_dnd": "󱅮 "
      }
    },
    {
      "type": "custom",
      "bar": [
        {
          "type": "button",
          "name": "niri-focus-column-custom",
          "class": "niri-focus-column-class",
          "on_click": "!niri msg action focus-column-left",
          "on_click_right": "niri msg action focus-column-right",
          "widgets": [
            {
              "type": "label",
              "label": "<->",
              "size": 16
            }
          ]
        }
      ]
    },



  {
      "type": "focused",
      "show_icon": true,
      "show_title": false,
      "icon_size": 32,
      "truncate": "end",
      "height": 30
    }
    ],
  "center": [
    {
      "type": "workspaces",
      "format": "{index}",
      "on_scroll_up": "niri msg action focus-workspace-up",
      "on_scroll_down": "niri msg action focus-workspace-down",
      "on_click_right": "niri msg action toggle-overview",
      "smooth_scroll_speed": 5.0
    }
  ],
  "end": [
    
 
    {
      "type": "tray",
      "icon_size": 16,
      "direction": "v"
    },
        {
      "type": "custom",
      "bar": [
        {
          "type": "button",
          "name": "pomo",
          "class": "pomo-class",
          "on_click": "!~/.config/ironbar/scripts/pomo",
          "widgets": [
            {
              "type": "label",
              "label": "  ",
              "size": 16
            }
          ]
        }
      ]
    },    

    {
      "type": "clock",

      "format": "%H\n%M\n\n%d\n%m\n%y",
      "orientation": "h",
      "justify": "center"

    }
        
  ]
}
